Bug 1311633 - Tree Structure does not list disks with Direct lun in RHEV-M Portal - need to remove the "Direct LUN" button
Tree Structure does not list disks with Direct lun in RHEV-M Portal - need to...
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.5.0
Unspecified Unspecified
medium Severity medium
: ovirt-4.2.0
: ---
Assigned To: Allon Mureinik
Raz Tamir
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 11:08 EST by Sarvesh Pandit
Modified: 2017-06-18 07:33 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 07:33:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2177301 None None None 2016-02-24 11:19 EST

  None (edit)
Description Sarvesh Pandit 2016-02-24 11:08:19 EST
Description of problem:

If Direct luns (Disks attached to VM) are not the part of the /rhev/datacenter/.../ then the filter option (Direct Lun) should not be there in case of tree view or it should list disks with Direct luns. We can see the disks which are direct luns from the "disk" tab, but if we used tree structure then it will not list those disks.

Version-Release number of selected component (if applicable):
rhevm-3.5.7-0.1.el6ev.noarch
rhevm-webadmin-portal-3.5.7-0.1.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Select "Disk" tab
2. Select the Tree view "System"
3. Select Datacenter


Actual results:
Disks with direct lun will be disappeared

Expected results:
It should list the disks with direct lun

Additional info:

Attaching screen-shot for more information
Comment 3 Allon Mureinik 2016-02-25 02:34:43 EST
Direct LUNs are indeed not a part of any DC, so not seeing them is the correct behavior.

I'm not quite sure I understnad the bug. Are you suggesting the radio button to choose between images and luns should be removed/greyed out in a DC context?
Comment 8 Tal Nisan 2016-10-31 05:37:40 EDT
Waiting for Eldan's input, Eldan?
Comment 9 Eldan Hildesheim 2016-11-22 06:05:19 EST
I would hide the radio button completely.
Disabling won't be enough here.
If it's ok, I would re-order the radio buttons order and put the "Direct Luns" in the end. When the radio button will disappear, the fact it's in the end of the row will less be disturbing to the eye.
Comment 10 Yaniv Lavi 2017-02-23 06:26:09 EST
Moving out all non blocker\exceptions.
Comment 11 Allon Mureinik 2017-06-13 09:04:28 EDT
RHV 4.2's UI redesign will remove the system tree. Once that's merged, this bug can be closed.
Comment 12 Allon Mureinik 2017-06-18 07:33:10 EDT
(In reply to Allon Mureinik from comment #11)
> RHV 4.2's UI redesign will remove the system tree. Once that's merged, this
> bug can be closed.

The System Tree was removed in the upcoming RHV 4.2.
Closing.

Note You need to log in before you can comment on or make changes to this bug.